"""Thin wrapper for module Writers. Provides "default" writer

This file is a part of Bookmarks database and Internet robot.

"""

__author__ = "Oleg Broytman <phd@phdru.name>"
__copyright__ = "Copyright (C) 1997-2014 PhiloSoft Design"
__license__ = "GNU GPL"

__all__ = ['import_writer', 'writer']


from os import environ
from bkmk_objects import parse_params, set_params

writer_name, writer_params = parse_params(environ.get("BKMK_WRITER", "html"))

def import_writer(writer_name):
   exec "from Writers import bkmk_w%s" % writer_name
   exec "writer = bkmk_w%s.writer_%s" % (writer_name, writer_name)
   return writer

writer = import_writer(writer_name)
set_params(writer, writer_params)
